/*--カウントダウントップ--*/

var WIDTH = localStorage.getItem('WIDTH');
var HEIGHT = localStorage.getItem('HEIGHT');

var canvas = document.getElementById('myCanvas');
canvas.setAttribute('width',WIDTH);
canvas.setAttribute('height',60);

var ctx = canvas.getContext('2d');

//カウントダウン
var cdBoxWidth = WIDTH; //カウントダウンボックスの幅
var cdBoxHeight = 60; //カウントダウンボックスの高さ
var cdImgSize = cdBoxHeight; //カウントダウン画像のサイズ
var cdImgX = WIDTH-cdImgSize; //カウントダウン画像のX座標
var cdTextX = WIDTH/28; //カウントダウンテキストのX座標分割
var cdTextY = 48; //カウントダウンテキストのY座標
var cdSmallTextX = 5; //小テキストの横位置調整
var cdSmallTextY = 39; //小テキストのY座標

var deathLineTime = localStorage.getItem('deathLineTime');
var now = new Date();
var time = now.getTime();

if(bpm == null || deathLineTime < time){
	ctx.fillStyle = '#fff';
	ctx.textAlign = 'right';
	ctx.font = '50px Helvetica';
	ctx.fillText('00000',cdTextX*9,cdTextY);
	ctx.textAlign = 'left';
	ctx.font = '25px Helvetica';
	ctx.fillText('days',cdTextX*9+cdSmallTextX,cdSmallTextY);
	ctx.textAlign = 'right';
	ctx.font = '50px Helvetica';
	ctx.fillText('00',cdTextX*15,cdTextY);
	ctx.textAlign = 'left';
	ctx.font = '25px Helvetica';
	ctx.fillText('h',cdTextX*15+cdSmallTextX,cdSmallTextY);
	ctx.textAlign = 'right';
	ctx.font = '50px Helvetica';
	ctx.fillText('00',cdTextX*19,cdTextY);
	ctx.textAlign = 'left';
	ctx.font = '25px Helvetica';
	ctx.fillText('m',(cdTextX*19+cdSmallTextX),cdSmallTextY);
	ctx.textAlign = 'right';
	ctx.font = '50px Helvetica';
	ctx.fillText('00',cdTextX*23,cdTextY);
	ctx.textAlign = 'left';
	ctx.font = '25px Helvetica';
	ctx.fillText('s',cdTextX*23+cdSmallTextX,cdSmallTextY);
}

if(localStorage.alertMessage == null){
	var alertMessage = new Array(0);
}else{
	var alertMessage = JSON.parse(localStorage.alertMessage);
}

var alertMessage = new Array(0);

/*--経過時間の表示（変数）--*/

var limitWidth = 120;
var limitHeight = 20;

var limitTextX = limitWidth/2;
var limitTextY = 16;

/*--言語の取得（格納フォルダで判別）--*/
var folderName=location.href.split("/");
var folderLang=folderName[folderName.length -2];

/*--アニメーション--*/

var clockAnimation = setInterval(clockAnimation,200);
var listAnimation = setInterval(listAnimation,1000);

function clockAnimation(){
	/*--カウントダウントップ--*/
	
	if(bpm != null && deathLineTime > time){
	
		ctx.clearRect(0,0,WIDTH,HEIGHT);

		var now = new Date(); //現在の年月日をゲット
	
		var bDate = new Date(birthYear, birthMonth-1, birthDay); //生年月日をゲット
		var bYear = bDate.getFullYear(); //生年月日の「年」をゲット
		var bTime = bDate.getTime(); //生年月日を時間に変換
	
		var heartBeat = (2500000000/bpm*60*1000); //命日までの時間をミリ秒に変換（生涯心拍回数/心拍数*60*1000）
	
		var deathLine = new Date(bTime + heartBeat); //命日を算出（生年月日+命日までの時間）
	
		var dYear = deathLine.getFullYear(); //命日までの年数をゲット
		var dMonth = deathLine.getMonth()+1; //命日までの月数をゲット
		var dDate = deathLine.getDate(); //命日の日付をゲット
		var dDay = deathLine.getDay(); //命日までの日数をゲット
		var dHour = deathLine.getHours(); //命日までの時数をゲット
		var dMin = deathLine.getMinutes(); //命日までの分数をゲット
	
		var lifeSpan = Math.floor(deathLine-now); //残り人生を算出（命日-現在の年月日）
			localStorage.setItem('lifeSpan',lifeSpan); //残り人生をウェブストレージに保存
		var xSec = Math.floor(lifeSpan / 1000); //残り人生の秒数を算出（ミリ秒から変換）
		var xMin = Math.floor( lifeSpan / (1000*60) ); //残り人生の分数を算出（ミリ秒から変換）
		var xHours = Math.floor( lifeSpan / (1000*60*60) ); //残り人生の時数を算出（ミリ秒から変換）
		var xDays = Math.floor( lifeSpan / (1000*60*60*24) ); //残り人生の日数を算出（ミリ秒から変換）
	
		var xHoursDisp = xHours-(xDays*24); //残り時数のあまりを算出
		var xMinDisp = xMin-(xHours*60); //残り分数のあまりを算出
		var xSecDisp = xSec-(xMin*60); //残り秒数のあまりを算出
		
		//カウントダウン残り日数
		if(lifeSpan > 0){
			//bpmが算出されてる場合の表示
			ctx.fillStyle = '#fff';
			ctx.textAlign = 'right';
			ctx.font = '50px Helvetica';
			ctx.fillText(xDays,cdTextX*9,cdTextY);
			ctx.textAlign = 'left';
			ctx.font = '25px Helvetica';
			ctx.fillText('days',cdTextX*9+cdSmallTextX,cdSmallTextY);
			ctx.textAlign = 'right';
			ctx.font = '50px Helvetica';
			ctx.fillText(addZero(xHoursDisp),cdTextX*15,cdTextY);
			ctx.textAlign = 'left';
			ctx.font = '25px Helvetica';
			ctx.fillText('h',cdTextX*15+cdSmallTextX,cdSmallTextY);
			ctx.textAlign = 'right';
			ctx.font = '50px Helvetica';
			ctx.fillText(addZero(xMinDisp),cdTextX*19,cdTextY);
			ctx.textAlign = 'left';
			ctx.font = '25px Helvetica';
			ctx.fillText('m',(cdTextX*19+cdSmallTextX),cdSmallTextY);
			ctx.textAlign = 'right';
			ctx.font = '50px Helvetica';
			ctx.fillText(addZero(xSecDisp),cdTextX*23,cdTextY);
			ctx.textAlign = 'left';
			ctx.font = '25px Helvetica';
			ctx.fillText('s',cdTextX*23+cdSmallTextX,cdSmallTextY);
		}	
	
	/*--アラートの表示--*/
	
		var fifty = new Date(dYear-50, dMonth-1, dDate);
		var fiftyPrior = fifty.getTime();
		var forty = new Date(dYear-40, dMonth-1, dDate);
		var fortyPrior = forty.getTime();
		var thirty = new Date(dYear-30, dMonth-1, dDate);
		var thirtyPrior = thirty.getTime();
		var twenty = new Date(dYear-20, dMonth-1, dDate);
		var twentyPrior = twenty.getTime();
		var ten = new Date(dYear-10, dMonth-1, dDate);
		var tenPrior = ten.getTime();
		var five = new Date(dYear-5, dMonth-1, dDate);
		var fivePrior = five.getTime();
		var one = new Date(dYear-1, dMonth-1, dDate);
		var onePrior = one.getTime();
		var oneMonth = new Date(dYear, dMonth-2, dDate);
		var oneMonthPrior = oneMonth.getTime();
		var oneWeek = new Date(dYear, dMonth-1, dDate-7);
		var oneWeekPrior = oneWeek.getTime();
		var oneDay = new Date(dYear, dMonth-1, dDate-1);
		var oneDayPrior = oneDay.getTime();
		var tenMinPrior = deathLine.getTime()-10*60*1000;
		
		var addOneMonth = 30*24*60*60*1000;
		var addOneWeek = 7*24*60*60*1000;
		var addOneDay = 24*60*60*1000;
		
        var alertMessage = JSON.parse(localStorage.alertMessage);
        
        if(localStorage.alertMessage != null){
            if(alertMessage.fifty == 'false' && time > fiftyPrior && time < fiftyPrior+addOneMonth){
                backBlack.style.display = 'block';
                alertBox.style.display = 'block';
                alertBox.style.top = (HEIGHT-alertBox.clientHeight-88)/2+'px';
                
                if (folderLang == "jp") {
                    alertDynamic.innerHTML = "命日まであと50年です。若いうちはバカをして色々と経験してください。ただし、結婚なんてバカな真似はまだしなくて良いでしょう。50年も連れ添うのは長過ぎます…";
                }else{
                    alertDynamic.innerHTML = "You now have less than 50 years to live. Be stupid and have fun while you're young. However, don't be stupid enough to get married. 50 years is a heck of a long time...";
                }
                
                alertBtn.value = 'OK';
                alertBtn.addEventListener('click',fiftyCheck);
                function fiftyCheck(){
                    newPostBox.style.display = 'none';
                    backBlack.style.display = 'none';
                    alertMessage.fifty = 'true';
                    localStorage.alertMessage = JSON.stringify(alertMessage);
                }
            }else if(alertMessage.forty == 'false' && time > fortyPrior && time < fortyPrior+addOneMonth){
                backBlack.style.display = 'block';
                alertBox.style.display = 'block';
                alertBox.style.top = (HEIGHT-alertBox.clientHeight-88)/2+'px';
                
                if (folderLang == "jp") {
                    alertDynamic.innerHTML = "命日まであと40年です。安定した稼ぎのある今こそが結婚のタイミングです。恐れるべきことは責任ではありません。孤独です。";
                }else{
                    alertDynamic.innerHTML = "You now have less than 40 years to live. Now is the perfect timing to get married. Don't be afraid of responsibility. Fear loneliness.";
                }
                
                alertBtn.value = 'OK';
                alertBtn.addEventListener('click',fortyCheck);
                function fortyCheck(){
                    newPostBox.style.display = 'none';
                    backBlack.style.display = 'none';
                    alertMessage.forty = 'true';
                    localStorage.alertMessage = JSON.stringify(alertMessage);
                }
            }else if(alertMessage.thirty == 'false' && time > thirtyPrior && time < thirtyPrior+addOneMonth){
                backBlack.style.display = 'block';
                alertBox.style.display = 'block';
                alertBox.style.top = (HEIGHT-alertBox.clientHeight-88)/2+'px';
                
                if (folderLang == "jp") {
                    alertDynamic.innerHTML = "命日まであと30年です。子供がいるなら時間が許す限り一緒に遊んであげてください。後数年もすれば、子供が遊んでくれなくなります。";
                }else{
                    alertDynamic.innerHTML = "You now have less than 30 years to live. If you have any kids, play with them as much as possible. In a few years, they won't play with you any more.";
                }
                
                alertBtn.value = 'OK';
                alertBtn.addEventListener('click',thirtyCheck);
                function thirtyCheck(){
                    newPostBox.style.display = 'none';
                    backBlack.style.display = 'none';
                    alertMessage.thirty = 'true';
                    localStorage.alertMessage = JSON.stringify(alertMessage);
                }
            }else if(alertMessage.twenty == 'false' && time > twentyPrior && time < twentyPrior+addOneMonth){
                backBlack.style.display = 'block';
                alertBox.style.display = 'block';
                alertBox.style.top = (HEIGHT-alertBox.clientHeight-88)/2+'px';
                
                if (folderLang == "jp") {
                    alertDynamic.innerHTML = "命日まであと20年です。体がまだ動くうちにバンジージャンプやスカイダイビングなどに挑戦しましょう。今やらなければ一生悔やむでしょう。";
                }else{
                    alertDynamic.innerHTML = "You now have less than 20 years to live. Go bungy jumping or sky diving while it's still physically possible. If you don't, you will regret it for life.";
                }
                
                alertBtn.value = 'OK';
                alertBtn.addEventListener('click',twentyCheck);
                function twentyCheck(){
                    newPostBox.style.display = 'none';
                    backBlack.style.display = 'none';
                    alertMessage.twenty = 'true';
                    localStorage.alertMessage = JSON.stringify(alertMessage);
                }
            }else if(alertMessage.ten == 'false' && time > tenPrior && time < tenPrior+addOneMonth){
                backBlack.style.display = 'block';
                alertBox.style.display = 'block';
                alertBox.style.top = (HEIGHT-alertBox.clientHeight-88)/2+'px';
                
                if (folderLang == "jp") {
                    alertDynamic.innerHTML = "命日まであと10年です。様々な国や土地に旅行してその光景を目に焼き付けてください。好奇心こそがあなたが生きている証です。";
                }else{
                    alertDynamic.innerHTML = "You now have less than 10 years to live. Travel around the World and visit places you have never seen. Curiosity is proof that you are still alive.";
                }
                
                alertBtn.value = 'OK';
                alertBtn.addEventListener('click',tenCheck);
                function tenCheck(){
                    newPostBox.style.display = 'none';
                    backBlack.style.display = 'none';
                    alertMessage.ten = 'true';
                    localStorage.alertMessage = JSON.stringify(alertMessage);
                }
            }else if(alertMessage.five == 'false' && time > fivePrior && time < fivePrior+addOneMonth){
                backBlack.style.display = 'block';
                alertBox.style.display = 'block';
                alertBox.style.top = (HEIGHT-alertBox.clientHeight-88)/2+'px';
                
                if (folderLang == "jp") {
                    alertDynamic.innerHTML = "命日まであと5年です。孫はいますか？いたら精一杯甘やかしてください。あなたがこの世に残した遺産なのですから。";
                }else{
                    alertDynamic.innerHTML = "You now have less than 5 years to live. If you have any grand children, spoil them silly. They are your legacy.";
                }
                
                alertBtn.value = 'OK';
                alertBtn.addEventListener('click',fiveCheck);
                function fiveCheck(){
                    newPostBox.style.display = 'none';
                    backBlack.style.display = 'none';
                    alertMessage.five = 'true';
                    localStorage.alertMessage = JSON.stringify(alertMessage);
                }
            }else if(alertMessage.one == 'false' && time > onePrior && time < onePrior+addOneMonth){
                backBlack.style.display = 'block';
                alertBox.style.display = 'block';
                alertBox.style.top = (HEIGHT-alertBox.clientHeight-88)/2+'px';
                
                if (folderLang == "jp") {
                    alertDynamic.innerHTML = "命日まであと1年です。愛している人全員にもう一度会ってください。そして愛していると伝えてください。彼らと会うのもこれで最後になるかもしれません。";
                }else{
                    alertDynamic.innerHTML = "You now have less than 1 year to live. Meet everybody you love and tell them that you love them. It may be your last chance.";
                }
                
                alertBtn.value = 'OK';
                alertBtn.addEventListener('click',oneCheck);
                function oneCheck(){
                    newPostBox.style.display = 'none';
                    backBlack.style.display = 'none';
                    alertMessage.one = 'true';
                    localStorage.alertMessage = JSON.stringify(alertMessage);
                }
            }else if(alertMessage.oneMonth == 'false' && time > oneMonthPrior && time < oneMonthPrior+addOneWeek){
                backBlack.style.display = 'block';
                alertBox.style.display = 'block';
                alertBox.style.top = (HEIGHT-alertBox.clientHeight-88)/2+'px';
                
                if (folderLang == "jp") {
                    alertDynamic.innerHTML = "命日まであと1ヶ月です。家族と一緒に過ごしてください。そして彼らを見つめてください。彼らこそが、あなたが生まれた意味の答えです。";
                }else{
                    alertDynamic.innerHTML = "You now have less than 1 month to live. Spend it with your family. Take a close look at them, as they are the answer to the reason why you were born.";
                }
                
                alertBtn.value = 'OK';
                alertBtn.addEventListener('click',oneMonthCheck);
                function oneMonthCheck(){
                    newPostBox.style.display = 'none';
                    backBlack.style.display = 'none';
                    alertMessage.oneMonth = 'true';
                    localStorage.alertMessage = JSON.stringify(alertMessage);
                }
            }else if(alertMessage.oneWeek == 'false' && time > oneWeekPrior && time < oneWeekPrior+addOneDay){
                backBlack.style.display = 'block';
                alertBox.style.display = 'block';
                alertBox.style.top = (HEIGHT-alertBox.clientHeight-88)/2+'px';
                
                if (folderLang == "jp") {
                    alertDynamic.innerHTML = "命日まであと1週間です。悔いはありますか？あれば忘れてください。波瀾万丈だった人生。最後ぐらいは自分自身をねぎらってください。";
                }else{
                    alertDynamic.innerHTML = "You now have less than 1 week to live. Any regrets? If so, forget them. Let yourself be at peace for at least the last week of your life. You deserve it.";
                }
                
                alertBtn.value = 'OK';
                alertBtn.addEventListener('click',oneWeekCheck);
                function oneWeekCheck(){
                    newPostBox.style.display = 'none';
                    backBlack.style.display = 'none';
                    alertMessage.oneWeek = 'true';
                    localStorage.alertMessage = JSON.stringify(alertMessage);
                }
            }else if(alertMessage.oneDay == 'false' && time > oneDayPrior && time < tenMinPrior){
                backBlack.style.display = 'block';
                alertBox.style.display = 'block';
                alertBox.style.top = (HEIGHT-alertBox.clientHeight-88)/2+'px';
                
                if (folderLang == "jp") {
                    alertDynamic.innerHTML = "いよいよ命日まであと1日を切りました。鏡を見てください。老いましたね。人生の最初から最後まで連れ添った人物にお別れを言う時です。";
                }else{
                    alertDynamic.innerHTML = "You now have less than 1 day to live. Look in the mirror. Aged? It is now time to say goodbye to your life-long companion.";
                }
                
                alertBtn.value = 'OK';
                alertBtn.addEventListener('click',oneDayCheck);
                function oneDayCheck(){
                    newPostBox.style.display = 'none';
                    backBlack.style.display = 'none';
                    alertMessage.oneDay = 'true';
                    localStorage.alertMessage = JSON.stringify(alertMessage);
                }
            }else if(alertMessage.tenMin == 'false' && time > tenMinPrior && time < deathLineTime){
                backBlack.style.display = 'block';
                alertBox.style.display = 'block';
                alertBox.style.top = (HEIGHT-alertBox.clientHeight-88)/2+'px';
                
                if (folderLang == "jp") {
                    alertDynamic.innerHTML = "人生残り10分を切りました。長い間、本当に本当にお疲れさまでした。来世でのご利用をお待ちしております。";
                }else{
                    alertDynamic.innerHTML = "You now have less than 10 minutes to live. We look forward to seeing you again in your next life. Rest in peace...";
                }
                
                alertBtn.value = 'OK';
                alertBtn.addEventListener('click',tenMinCheck);
                function tenMinCheck(){
                    newPostBox.style.display = 'none';
                    backBlack.style.display = 'none';
                    alertMessage.tenMin = 'true';
                    localStorage.alertMessage = JSON.stringify(alertMessage);
                }
            }
        }
	}

}//clockanimation

function listAnimation(){
	
	/*--ToDoリストアニメーション--*/
	
	if(localStorage.task != null){
		taskData = JSON.parse(localStorage.task);//保存データを配列に変換
		
			//タスクデータを日付順に並べ替え
			var sort_by = function(field, reverse, primer){
				reverse = (reverse) ? -1 : 1;
				return function(a,b){
					a = a[field];
					b = b[field];
					if (typeof(primer) != 'undefined'){
						a = primer(a);
						b = primer(b);
					}
				if (a<b) return reverse * -1;
				if (a>b) return reverse * 1;
				return 0;
 				}
			}
			
			taskData.sort(sort_by('deadLine', false, function(a){return a.toUpperCase()}));
			
		for(var i=0; i<taskData.length; i++){
			
			var taskId = taskData[i].id; //idを取得
			var timeData = JSON.parse(localStorage.getItem("time"+taskId)); //時間データを取得
			
			var taskStatus = taskData[i].status; //仕事・雑務・その他を取得
			var checkStatus = timeData.limit; //タスクが新規かどうか・再生が押されているかどうか

			/*--経過時間の表示--*/
			
			var canvasLimit = document.getElementById('canvas'+i);
			
			if(canvasLimit != null){
			
				canvasLimit.setAttribute('width',limitWidth);
				canvasLimit.setAttribute('height',limitHeight);

				var limitCtx = canvasLimit.getContext('2d');
		
				//経過時間を算出
				var limitStorage = timeData.limitTime; //予定時間（ミリ秒を秒に変換）
				var limitLapse = timeData.limitLapse; //経過時間
                
                var now = new Date();
                var nowTime = now.getTime();
                var addTime = nowTime - timeData.playTime;
                var timeData = JSON.parse(localStorage.getItem("time"+taskId));
		
				if(limitStorage >= 0 && checkStatus == 'true'){ //予定時間が設定されており、かつ再生が押されている
					timeData.limitTime = Math.floor(limitStorage - addTime); //[予定時間] - [経過秒数] = カウントダウン
                    if(timeData.limitTime < 0){
                        timeData.playTime = now.getTime();
                        localStorage.setItem('time'+taskId,JSON.stringify(timeData)); //ストレージに保存
                    }
				}else if(limitStorage < 0 && checkStatus == 'true'){ //予定時間が設定されておらず、かつ再生が押されている
					timeData.limitLapse = Math.floor(limitLapse + addTime); //[経過時間] + [経過秒数] = カウントアップ
				}
			
				var limitCtDn = timeData.limitTime;		
				var limitCtDnHour = Math.floor(limitCtDn / (1000*60*60));
				var limitCtDnMin = Math.floor(limitCtDn / (1000*60));
				var limitCtDnSec = Math.floor(limitCtDn / 1000);

				var limitMinDisp = limitCtDnMin-(limitCtDnHour*60);
				var limitSecDisp = limitCtDnSec-(limitCtDnMin*60);

				var limitCtUp = timeData.limitLapse;	
			
				var limitCtUpHour = Math.floor(limitCtUp / (1000*60*60));
				var limitCtUpMin = Math.floor(limitCtUp / (1000*60));
				var limitCtUpSec = Math.floor(limitCtUp / 1000);			

				var limitMinUpDisp = limitCtUpMin-(limitCtUpHour*60);
				var limitSecUpDisp = limitCtUpSec-(limitCtUpMin*60);

				var limitIsSet = timeData.limitSet;
			
				var setLimitTime = taskData[i].limitTime;
				var limitWidthDec = (timeData.limitTime / (setLimitTime / limitWidth));
	
				
				limitCtx.clearRect(0,0,limitWidth,limitHeight);

				limitCtx.fillStyle = '#535353';
				limitCtx.fillRect(0,0,limitWidth,limitHeight);

				if(taskStatus == "work"){
					limitCtx.fillStyle = '#106697';
				}else if(taskStatus == "chores"){
					limitCtx.fillStyle = '#4c8140';
				}else if(taskStatus == "other"){
					limitCtx.fillStyle = '#7b4c8b';
				}

				if(limitIsSet == 'true'){
					if(timeData.limitTime > 0){
						limitCtx.fillRect(0,0,limitWidthDec,limitHeight);
					}else if (timeData.limitTime < 0){
						limitCtx.fillStyle = '#aa002b';
						limitCtx.fillRect(0,0,limitWidth,limitHeight);
					}
				}
			
				limitCtx.fillStyle = '#fff'
				limitCtx.textAlign = 'center';
				limitCtx.font = '18px Helvetica';

				if(limitIsSet == 'true'){
					if(limitCtDn > 0){
						limitCtx.fillText(addZero(limitCtDnHour) + ':' + addZero(limitMinDisp) + ':' + addZero(limitSecDisp),limitTextX,limitTextY);
					}else if (limitCtDn == 0){
						limitCtx.fillText('00:00:00',limitTextX,limitTextY);
					}else if (limitCtDn < 0){
						limitCtx.fillText('- ' + addZero(limitCtUpHour) + ':' + addZero(limitMinUpDisp) + ':' + addZero(limitSecUpDisp+1),limitTextX,limitTextY);
					}
				}else if(limitIsSet == 'false'){
					limitCtx.fillText(addZero(limitCtUpHour) + ':' + addZero(limitMinUpDisp) + ':' + addZero(limitSecUpDisp),limitTextX,limitTextY);
				}
			
			}//if(canvasLimit != null)
			
			
				
			/*--残り人生消費率--*/
			var canvasDetails = document.getElementById('canvasdetail'+i);
			
			if(canvasDetails != null){
			
				if(bpm != null && deathLineTime > time){
					var detailsHeight = consumpBlockH*2+consumpTitleH;
				}else{
					var detailsHeight = 0;
				}

				var detailsCtx = canvasDetails.getContext('2d');
			
				//detailsのための寿命取得
				var lifeSpan = localStorage.getItem('lifeSpan');
			
				detailsCtx.clearRect(0,0,WIDTH,detailsHeight);
			
				detailsCtx.fillStyle = '#7f7f7f';
				detailsCtx.fillRect(0,0,WIDTH,consumpTitleH);
                
                detailsCtx.textAlign = 'left';
                
                if (folderLang == "jp") {
                    detailsCtx.fillStyle = '#fff'
                    detailsCtx.font = "bold 22px 'ＭＳ ゴシック'";
                    
                    detailsCtx.fillText('残り人生合計消費率',consumpTitleX,consumpTitleY);
                }else{
                    detailsCtx.fillStyle = '#fff'
                    detailsCtx.font = "bold 24px Helvetica";
                    
                    detailsCtx.fillText('Total Life Consumption Until Deathday',consumpTitleX,consumpTitleY);
                }

				detailsCtx.fillStyle = '#535353';
				detailsCtx.fillRect(0,consumpTitleH,WIDTH,detailsHeight);

				detailsCtx.fillStyle = '#fff'
				
				//予定工数の算出
				var periodicCount = timeData.count;
				var remainingDays = Math.floor(lifeSpan / (1000*60*60*24));
				var remainingWeeks = Math.floor(remainingDays / 7);
				
				var intendedTime = taskData[i].limitTime;
				
				if(periodicCount != 0){
					var operationDays = remainingWeeks * periodicCount;
				
					var intendedTime = operationDays * intendedTime;
				
					var intendedDays = Math.floor(intendedTime / (1000*60*60*24));
					var intendedHours = Math.floor(intendedTime / (1000*60*60));
					var intendedMins = Math.floor(intendedTime / (1000*60));
				
					var intendedHourDisp = intendedHours-(intendedDays*24);
					var intendedMinDisp = intendedMins-(intendedHours*60);
				
					var intendedConsump = (intendedTime / lifeSpan) * 100;
						intendedConsump = intendedConsump.toFixed(6);	
				}else if(periodicCount == 0){
					var intendedDays = Math.floor(intendedTime / (1000*60*60*24));
					var intendedHours = Math.floor(intendedTime / (1000*60*60));
					var intendedMins = Math.floor(intendedTime / (1000*60));
				
					var intendedHourDisp = intendedHours-(intendedDays*24);
					var intendedMinDisp = intendedMins-(intendedHours*60);
				
					var intendedConsump = (intendedTime / lifeSpan) * 100;
						intendedConsump = intendedConsump.toFixed(6);
				}
				
				//実際工数の算出
				var timeLapse = timeData.timeLapse;
				var addTotalTime = nowTime - timeData.totalTime;
                
				if(checkStatus == 'true'){
					var timeData = JSON.parse(localStorage.getItem("time"+taskId));
					timeData.timeLapse = Math.floor(timeLapse + addTotalTime);
				}
								
				var actualTime = timeData.timeLapse;

				var actualDays = Math.floor(actualTime / (1000*60*60*24));
				var actualHours = Math.floor(actualTime / (1000*60*60));
				var actualMins = Math.floor(actualTime / (1000*60));
				
				var actualHourDisp = actualHours-(actualDays*24);
				var actualMinDisp = actualMins-(actualHours*60);
	
				var actualConsump = (actualTime / lifeSpan) * 100;
					actualConsump = actualConsump.toFixed(6);
					
				//残り人生消費日数の算出			
				
				if(periodicCount != 0){
					var operationDays = remainingWeeks * periodicCount;
				
					var lifeTime = operationDays * actualTime;
				
					var lifeTimeDays = Math.floor(lifeTime / (1000*60*60*24));
					var lifeTimeHours = Math.floor(lifeTime / (1000*60*60));
					var lifeTimeMins = Math.floor(lifeTime / (1000*60));
					
					var lifeTimeHourDisp = lifeTimeHours-(lifeTimeDays*24);
					var lifeTimeMinDisp = lifeTimeMins-(lifeTimeHours*60);
				
					var lifeConsump = (lifeTime / lifeSpan) * 100;
						lifeConsump = lifeConsump.toFixed(6);	
				}else if(periodicCount == 0){
					lifeTimeDays = actualDays;
					lifeTimeHourDisp = actualHourDisp;
					lifeTimeMinDisp = actualMinDisp;
				
					lifeConsump = actualConsump;
				}
				
				//予定工数の描画
				detailsCtx.textAlign = 'left';
                if (folderLang == "jp") {
                    detailsCtx.font = "bold 28px 'ＭＳ ゴシック'";
                    detailsCtx.fillText('予定工数',consumpTextX,consumpTextY+consumpTitleH);
                }else{
                    detailsCtx.font = "20px Helvetica";
                    detailsCtx.fillText('Predicted',consumpTextX,consumpTextY+consumpTitleH-18);
                    detailsCtx.fillText('Consumption',consumpTextX,consumpTextY+consumpTitleH+3);
                }
				detailsCtx.textAlign = 'right';
				detailsCtx.font = 'normal 30px Helvetica';
                if (folderLang == "jp") {
                    detailsCtx.fillText(addZero(intendedDays) + ' d ' + addZero(intendedHourDisp) + ' h ' + addZero(intendedMinDisp) + ' m ',consumpTimeX,consumpTextY+consumpTitleH);
                    detailsCtx.fillText(intendedConsump + ' % ',consumpRateX,consumpTextY+consumpTitleH);
                }else{
                    detailsCtx.fillText(addZero(intendedDays) + ' d ' + addZero(intendedHourDisp) + ' h ' + addZero(intendedMinDisp) + ' m ',consumpTimeX,consumpTextY+consumpTitleH-4);
                    detailsCtx.fillText(intendedConsump + ' % ',consumpRateX,consumpTextY+consumpTitleH-4);
                }
				
				//点線
				for(var j = 0; j < WIDTH; j++){
					var jSum = j*5;
					detailsCtx.strokeStyle = '#fff'
					detailsCtx.beginPath();
					detailsCtx.moveTo(jSum,consumpBlockH+consumpTitleH);
					detailsCtx.lineTo(jSum+2,consumpBlockH+consumpTitleH);
					detailsCtx.stroke();
				}
				
				//生涯工数の描画
				detailsCtx.textAlign = 'left';
                if (folderLang == "jp") {
                    detailsCtx.font = "bold 28px 'ＭＳ ゴシック'";
                    detailsCtx.fillText('実際工数',consumpTextX,consumpTextY+consumpBlockH+consumpTitleH);
                }else{
                    detailsCtx.font = "20px Helvetica";
                    detailsCtx.fillText('Actual',consumpTextX,consumpTextY+consumpBlockH+consumpTitleH-18);
                    detailsCtx.fillText('Consumption',consumpTextX,consumpTextY+consumpBlockH+consumpTitleH+3);
                }
				detailsCtx.textAlign = 'right';
				detailsCtx.font = 'normal 30px Helvetica';
                if (folderLang == "jp") {
                    detailsCtx.fillText(addZero(lifeTimeDays) + ' d ' + addZero(lifeTimeHourDisp) + ' h ' + addZero(lifeTimeMinDisp) + ' m ',consumpTimeX,consumpTextY+consumpBlockH+consumpTitleH);
                    detailsCtx.fillText(lifeConsump + ' % ',consumpRateX,consumpTextY+consumpBlockH+consumpTitleH);
                }else{
                    detailsCtx.fillText(addZero(lifeTimeDays) + ' d ' + addZero(lifeTimeHourDisp) + ' h ' + addZero(lifeTimeMinDisp) + ' m ',consumpTimeX,consumpTextY+consumpBlockH+consumpTitleH-4);
                    detailsCtx.fillText(lifeConsump + ' % ',consumpRateX,consumpTextY+consumpBlockH+consumpTitleH-4);
                }
			
			}//if(canvasDetails != null)
			
		}//for(var i=0; i<taskData.length; i++)
	}//if(localStorage.task != null)

}//listAnimation

function degToRad(degree) {return degree * Math.PI/180;}

function addZero(num){
	if(num < 10){
		num = '0' + num;
	}
	return num;
}